cancel
Showing results for 
Search instead for 
Did you mean: 

Changed PHP version to 7.2 now 500 get Internal Server Errors!

FIXED
Highlighted
Rising Star
Posts: 113
Thanks: 13
Registered: ‎22-06-2009

Changed PHP version to 7.2 now 500 get Internal Server Errors!

After advice in my Wordpress Dashboard, I changed my PHP version from 7.1 to 7.2 via hosting.plus.net. Now when I load my website, I get 500 Internal Server errors. Changing it back to 7.1 does not fix the issue either

Please help!

Thanks

Matt

 

 

 

 

 

5 REPLIES 5
Highlighted
Community Gaffer
Community Gaffer
Posts: 14,500
Thanks: 2,121
Fixes: 148
Registered: ‎04-04-2007

Re: Changed PHP version to 7.2 now 500 get Internal Server Errors!

Fix

Take a look at these lines in the .htaccess files in your respective site folders:-

# for PHP-CGI
# AddHandler php-cgi .php
# Action php-cgi /cgi-bin/php-cgi

# for php and securewebexchange
# <IfDefine SSL>
#    AddHandler php-cgi .php
#    Action php-cgi https://secure50.securewebsession.eu/ccgi.[REDACTED].plus.com/cgi-bin/php-cgi
#</IfDefine>

I've commented them out for one of your sites (American Eclipse) and it's sprung back to life, so my money is on these files being the problem. Changing the PHP version looks to have tried changing the PHP mode/handler.

Bob Pullen
Plusnet Product Team
If I've been helpful then please give thanks ⤵

Highlighted
Rising Star
Posts: 113
Thanks: 13
Registered: ‎22-06-2009

Re: Changed PHP version to 7.2 now 500 get Internal Server Errors!

Fantastic. Thanks Bob. Fast response and a great help as always 🙂

Changed over to PHP 7.2, indeed, it tried to change the mode/handler again. Commented them out again and all sites now working with 7.2

 

Matt

Highlighted
Rising Star
Posts: 113
Thanks: 13
Registered: ‎22-06-2009

Re: Changed PHP version to 7.2 now 500 get Internal Server Errors!

hmmm..  @bobpullen  The odd thing is that WP Dashboard still thinks I'm using Version 7.1 ? I've ctrl-f5'd the wordpress dashboard in case it was an old cached page (see attached)

 

Highlighted
Community Gaffer
Community Gaffer
Posts: 14,500
Thanks: 2,121
Fixes: 148
Registered: ‎04-04-2007

Re: Changed PHP version to 7.2 now 500 get Internal Server Errors!

I've a feeling 7.1.33 is the latest Apache version for our hosting environment, meaning the only way to upgrade is to switch to FastCGI. As you've found, that's going to cause a load of problems and it's not something I'd easily be able to help you with.

I'll ping Hostopia and see what their plans are in terms of future upgrades etc.

Bob Pullen
Plusnet Product Team
If I've been helpful then please give thanks ⤵

Highlighted
Rising Star
Posts: 113
Thanks: 13
Registered: ‎22-06-2009

Re: Changed PHP version to 7.2 now 500 get Internal Server Errors!

Thanks Bob 👍